Index: /modipsl/trunk/util/AA_make.gdef
===================================================================
--- /modipsl/trunk/util/AA_make.gdef	(revision 11)
+++ /modipsl/trunk/util/AA_make.gdef	(revision 12)
@@ -1,5 +1,28 @@
 #-
-#- $Id: AA_make.gdef,v 2.24 2006/03/24 15:31:56 adm Exp $
+#- $Id$
 #-
+#-Q- Darwin   #- Global definitions for Mac OSX, g95
+#-Q- Darwin   M_K = make
+#-Q- Darwin   P_C = cpp
+#-Q- Darwin   P_O = -fpreprocessed -P -C -traditional $(P_P)
+#-Q- Darwin   F_C = g95 -c
+#-Q- Darwin   #-D- MD    F_D = -g -Wall -fbounds-check
+#-Q- Darwin   #-D- MN    F_D =
+#-Q- Darwin   #-P- I4R4  F_P = -i4
+#-Q- Darwin   #-P- I4R8  F_P = -i4 -r8
+#-Q- Darwin   #-P- I8R8  F_P = -i8 -r8
+#-Q- Darwin   w_w = -O5 -funroll-all-loops $(F_D) $(F_P) -I$(MODDIR)
+#-Q- Darwin   F_O = $(w_w) -fmod=$(MODDIR)
+#-Q- Darwin   F_L = g95
+#-Q- Darwin   L_O =
+#-Q- Darwin   A_C = ar -rs
+#-Q- Darwin   A_G = ar -x
+#-Q- Darwin   C_C = cc -c
+#-Q- Darwin   C_O =
+#-Q- Darwin   C_L = cc
+#-Q- Darwin   #-
+#-Q- Darwin   NCDF_INC = /usr/install/include
+#-Q- Darwin   NCDF_LIB = -L/usr/install/lib -lnetcdf
+#-Q- Darwin   #-
 #-Q- aix      #- Global definitions for IBM AIX (MPP)
 #-Q- aix      M_K = gmake
@@ -12,5 +35,4 @@
 #-Q- aix      #-P- I4R8  F_P = -qrealsize=8
 #-Q- aix      #-P- I8R8  F_P =
-#-Q- aix      #-P- ??    F_P = -qrealsize=8
 #-Q- aix      w_w = $(F_P) -O3 -qsuffix=f=f90
 #-Q- aix      F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
@@ -36,5 +58,4 @@
 #-Q- ax_mono  #-P- I4R8  F_P = -qrealsize=8
 #-Q- ax_mono  #-P- I8R8  F_P =
-#-Q- ax_mono  #-P- ??    F_P = -qrealsize=8
 #-Q- ax_mono  w_w = $(F_P) -O3 -qsuffix=f=f90
 #-Q- ax_mono  F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
@@ -60,5 +81,4 @@
 #-Q- cray     #-P- I4R8  F_P =
 #-Q- cray     #-P- I8R8  F_P =
-#-Q- cray     #-P- ??    F_P =
 #-Q- cray     F_O = $(F_D) $(F_P) -v -p $(MODEL_LIB)
 #-Q- cray     F_L = f90
@@ -73,27 +93,34 @@
 #-Q- cray     NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
 #-Q- cray     #-
-#-Q- Darwin   #- Global definitions for Mac OSX, g95
-#-Q- Darwin   M_K = make
-#-Q- Darwin   P_C = cpp
-#-Q- Darwin   P_O = -fpreprocessed -P -C -traditional $(P_P)
-#-Q- Darwin   F_C = /usr/local/bin/mpif90 -fno-second-underscore -c
-#-Q- Darwin   #-D- MD    F_D =
-#-Q- Darwin   #-D- MN    F_D =
-#-Q- Darwin   #-P- I4R4  F_P = -i4
-#-Q- Darwin   #-P- I4R8  F_P = -i4 -r8
-#-Q- Darwin   #-P- I8R8  F_P = -i8 -r8
-#-Q- Darwin   #-P- ??    F_P =
-#-Q- Darwin   F_O = -I$(MODDIR)
-#-Q- Darwin   F_L = f90
-#-Q- Darwin   L_O =
-#-Q- Darwin   A_C = ar -rs
-#-Q- Darwin   A_G = ar -x
-#-Q- Darwin   C_C = cc -c
-#-Q- Darwin   C_O =
-#-Q- Darwin   C_L = cc
-#-Q- Darwin   #-
-#-Q- Darwin   NCDF_INC = /usr/local/include
-#-Q- Darwin   NCDF_LIB = -L/usr/local/lib -lnetcdf
-#-Q- Darwin   #-
+#-Q- eshpux   #- Global definitions for eshpux used as Earth Simulator front-end
+#-Q- eshpux   M_K = gmake
+#-Q- eshpux   P_C = escpp
+#-Q- eshpux   # FTRACE used for profiling
+#-Q- eshpux   FTRACE = -ftrace
+#-Q- eshpux   # FTRACE =
+#-Q- eshpux   P_O = -P -C $(P_P)
+#-Q- eshpux   F_C = esmpif90 -c
+#-Q- eshpux   #-D- MD    F_D =
+#-Q- eshpux   #-D- MN    F_D =
+#-Q- eshpux   #-P- I4R4  F_P = -dW
+#-Q- eshpux   #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- eshpux   #-P- I8R8  F_P = -ew
+#-Q- eshpux   F_O = $(F_D) $(F_P) $(FTRACE) -I $(MODDIR)
+#-Q- eshpux   F_L = esmpif90
+#-Q- eshpux   L_O = $(F_P) $(FTRACE)
+#-Q- eshpux   A_C = ar -rv
+#-Q- eshpux   A_G = ar -x
+#-Q- eshpux   A_X = esar -rv
+#-Q- eshpux   C_C = esmpicc -c
+#-Q- eshpux   C_O =
+#-Q- eshpux   C_L = esmpicc
+#-Q- eshpux   FC_C = cc -c
+#-Q- eshpux   FC_O =
+#-Q- eshpux   FC_L = cc
+#-Q- eshpux   #-
+#-Q- eshpux   NETCDFROOT = /S/home010/c0010/ES
+#-Q- eshpux   NCDF_INC = $(NETCDFROOT)/include
+#-Q- eshpux   NCDF_LIB = -L$(NETCDFROOT)/lib -lnetcdf
+#-Q- eshpux   #-
 #-Q- fjvpp    #- Global definitions for FUJITSU VPP
 #-Q- fjvpp    M_K = gmake
@@ -106,5 +133,4 @@
 #-Q- fjvpp    #-P- I4R8  F_P = -Ad
 #-Q- fjvpp    #-P- I8R8  F_P = -Ad
-#-Q- fjvpp    #-P- ??    F_P = -Ad
 #-Q- fjvpp    w_w = -X9 -Oe -Sw $(F_D) $(F_P) -Am -M$(MODDIR)
 #-Q- fjvpp    F_O = $(w_w) -Of -Wv,-Of,-ilfunc,-preload
@@ -130,5 +156,4 @@
 #-Q- g95      #-P- I4R8  F_P = -i4 -r8
 #-Q- g95      #-P- I8R8  F_P = -i8 -r8
-#-Q- g95      #-P- ??    F_P = -i4 -r8
 #-Q- g95      w_w = -O5 -funroll-all-loops $(F_D) $(F_P) -I$(MODDIR)
 #-Q- g95      F_O = $(w_w) -fmod=$(MODDIR) -fno-second-underscore
@@ -144,35 +169,4 @@
 #-Q- g95      NCDF_LIB = -L/usr/local/lib -lnetcdf
 #-Q- g95      #-
-#-Q- eshpux     #- Global definitions for eshpux used as Earth Simulator front-end
-#-Q- eshpux     M_K = gmake
-#-Q- eshpux     P_C = escpp
-#-Q- eshpux     # FTRACE used for profiling
-#-Q- eshpux     FTRACE = -ftrace
-#-Q- eshpux     # FTRACE =
-#-Q- eshpux     P_O = -P -C $(P_P)
-#-Q- eshpux     F_C = esmpif90 -c
-#-Q- eshpux     #-D- MD    F_D =
-#-Q- eshpux     #-D- MN    F_D =
-#-Q- eshpux     #-P- I4R4  F_P = -dW
-#-Q- eshpux     #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
-#-Q- eshpux     #-P- I8R8  F_P = -ew
-#-Q- eshpux     #-P- ??    F_P = -dW -Wf\"-A idbl4\"
-#-Q- eshpux     F_O = $(F_D) $(F_P) $(FTRACE) -I $(MODDIR)
-#-Q- eshpux     F_L = esmpif90
-#-Q- eshpux     L_O = $(F_P) $(FTRACE)
-#-Q- eshpux     A_C = ar -rv
-#-Q- eshpux     A_G = ar -x
-#-Q- eshpux     A_X = esar -rv
-#-Q- eshpux     C_C = esmpicc -c
-#-Q- eshpux     C_O =
-#-Q- eshpux     C_L = esmpicc
-#-Q- eshpux     FC_C = cc -c
-#-Q- eshpux     FC_O =
-#-Q- eshpux     FC_L = cc
-#-Q- eshpux     #-
-#-Q- eshpux     NETCDFROOT = /S/home010/c0010/ES
-#-Q- eshpux     NCDF_INC = $(NETCDFROOT)/include
-#-Q- eshpux     NCDF_LIB = -L$(NETCDFROOT)/lib -lnetcdf
-#-Q- eshpux     #-
 #-Q- linux    #- Global definitions for LINUX
 #-Q- linux    M_K = make
@@ -185,5 +179,4 @@
 #-Q- linux    #-P- I4R8  F_P = -i4 -r8
 #-Q- linux    #-P- I8R8  F_P = -i8 -r8
-#-Q- linux    #-P- ??    F_P = -i4 -r4
 #-Q- linux    F_O = $(F_D) $(F_P) -Mfree -module $(MODDIR)
 #-Q- linux    F_L = pgf90
@@ -208,5 +201,4 @@
 #-Q- lxiv7    #-P- I4R8  F_P = -i4 -r8
 #-Q- lxiv7    #-P- I8R8  F_P = -i8 -r8
-#-Q- lxiv7    #-P- ??    F_P =
 #-Q- lxiv7    F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
 #-Q- lxiv7    F_L = ifc
@@ -231,5 +223,4 @@
 #-Q- lxiv8    #-P- I4R8  F_P = -i4 -r8
 #-Q- lxiv8    #-P- I8R8  F_P = -i8 -r8
-#-Q- lxiv8    #-P- ??    F_P =
 #-Q- lxiv8    F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
 #-Q- lxiv8    F_L = ifort
@@ -244,27 +235,4 @@
 #-Q- lxiv8    NCDF_LIB = -L/usr/local/lib -lnetcdf
 #-Q- lxiv8    #-
-#-Q- newsys   #- Global definitions for System Test
-#-Q- newsys   M_K = make
-#-Q- newsys   P_C = cpp
-#-Q- newsys   P_O = -P -C $(P_P)
-#-Q- newsys   F_C = f90 -c
-#-Q- newsys   #-D- MD    F_D =
-#-Q- newsys   #-D- MN    F_D =
-#-Q- newsys   #-P- I4R4  F_P =
-#-Q- newsys   #-P- I4R8  F_P =
-#-Q- newsys   #-P- I8R8  F_P =
-#-Q- newsys   #-P- ??    F_P =
-#-Q- newsys   F_O = $(F_D) $(F_P) -M$(MODDIR) -fast
-#-Q- newsys   F_L = f90
-#-Q- newsys   L_O =
-#-Q- newsys   A_C = ar -r
-#-Q- newsys   A_G = ar -x
-#-Q- newsys   C_C = cc -c
-#-Q- newsys   C_O =
-#-Q- newsys   C_L = cc
-#-Q- newsys   #-
-#-Q- newsys   NCDF_INC = /distrib/local/include
-#-Q- newsys   NCDF_LIB = -L/distrib/local/lib -lnetcdf
-#-Q- newsys   #-
 #-Q- osf1     #- Global definitions for DEC OSF1
 #-Q- osf1     M_K = gmake
@@ -277,5 +245,4 @@
 #-Q- osf1     #-P- I4R8  F_P = -r8
 #-Q- osf1     #-P- I8R8  F_P = -i8 -r8
-#-Q- osf1     #-P- ??    F_P =
 #-Q- osf1     F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
 #-Q- osf1     F_L = f90
@@ -300,5 +267,4 @@
 #-Q- osxxlf   #-P- I4R8  F_P = -qintsize=4 -qrealsize=8
 #-Q- osxxlf   #-P- I8R8  F_P = -qintsize=8 -qrealsize=8
-#-Q- osxxlf   #-P- ??    F_P =
 #-Q- osxxlf   w_w = $(F_P) -O2 $(F_D) -qsuffix=f=f90
 #-Q- osxxlf   F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
@@ -324,5 +290,4 @@
 #-Q- sgi6     #-P- I4R8  F_P = -i4 -r8
 #-Q- sgi6     #-P- I8R8  F_P = -i8 -r8
-#-Q- sgi6     #-P- ??    F_P = -i4 -r8
 #-Q- sgi6     F_O = $(F_D) $(F_P) -I $(MODDIR)
 #-Q- sgi6     F_L = f90
@@ -347,5 +312,4 @@
 #-Q- solaris  #-P- I4R8  F_P = -r8const
 #-Q- solaris  #-P- I8R8  F_P = -i8const -r8const
-#-Q- solaris  #-P- ??    F_P =
 #-Q- solaris  F_O = $(F_D) $(F_P) -M$(MODDIR) -fast
 #-Q- solaris  F_L = f90
@@ -360,5 +324,6 @@
 #-Q- solaris  NCDF_LIB = -L/distrib/local/lib -lnetcdf
 #-Q- solaris  #-
-#-Q- sxdkrz   #- Global definitions for sx6nec (DKRZ)
+#-Q- sxdkrz   #- Global definitions for sxdkrz
+#-Q- sxdkrz   #- compilation on DKRZ for NEC SX-6
 #-Q- sxdkrz   LIB_MPI = MPI2
 #-Q- sxdkrz   LIB_MPI_BIS =
@@ -374,5 +339,4 @@
 #-Q- sxdkrz   #-P- I4R8  F_P = -dw -Wf\"-A idbl4\"
 #-Q- sxdkrz   #-P- I8R8  F_P = -ew
-#-Q- sxdkrz   #-P- ??    F_P = -dw -Wf\"-A idbl4\"
 #-Q- sxdkrz   F_O = $(F_D) $(F_P) -I $(MODDIR)
 #-Q- sxdkrz   F_L = sxmpif90
@@ -391,68 +355,66 @@
 #-Q- sxdkrz   NCDF_LIB = -L/pool/SX-6/netcdf/netcdf-3.5.0/lib -lnetcdf_A_idbl4
 #-Q- sxdkrz   #-
-#-Q- sxnec    #- Global definitions for SXNEC :
-#-Q- sxnec    #- compilation on rhodes for NEC SX-5
-#-Q- sxnec    LIB_MPI = MPI2
-#-Q- sxnec    LIB_MPI_BIS =
-#-Q- sxnec    PRISM_ARCH = SX
-#-Q- sxnec    PRISM_NAME = rhodes
-#-Q- sxnec    M_K = gmake
-#-Q- sxnec    P_C = sxcpp
-#-Q- sxnec    P_O = -P -C $(P_P)
-#-Q- sxnec    F_C = sxmpif90 -c
-#-Q- sxnec    #-D- MD    F_D =
-#-Q- sxnec    #-D- MN    F_D =
-#-Q- sxnec    #-P- I4R4  F_P = -dW
-#-Q- sxnec    #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
-#-Q- sxnec    #-P- I8R8  F_P = -ew
-#-Q- sxnec    #-P- ??    F_P = -dW -Wf\"-A idbl4\"
-#-Q- sxnec    F_O = $(F_D) $(F_P) -I $(MODDIR)
-#-Q- sxnec    F_L = sxmpif90
-#-Q- sxnec    L_O = $(F_P)
-#-Q- sxnec    A_C = ar -rv
-#-Q- sxnec    A_G = ar -x
-#-Q- sxnec    A_X = sxar -rv
-#-Q- sxnec    C_C = sxcc -c
-#-Q- sxnec    C_O =
-#-Q- sxnec    C_L = sxcc
-#-Q- sxnec    FC_C = cc -c
-#-Q- sxnec    FC_O =
-#-Q- sxnec    FC_L = cc
-#-Q- sxnec    #-
-#-Q- sxnec    NCDF_INC = /SX/usr/local/pub/netcdf-3.5.0_opt/include
-#-Q- sxnec    NCDF_LIB = -L/SX/usr/local/pub/netcdf-3.5.0_opt/lib -lnetcdf
-#-Q- sxnec    #-
-#-Q- sx6nec   #- Global definitions for SX6NEC :
-#-Q- sx6nec   #- compilation on mercure for NEC SX-6
-#-Q- sx6nec   LIB_MPI = MPI2
-#-Q- sx6nec   LIB_MPI_BIS =
-#-Q- sx6nec   PRISM_ARCH = SX
-#-Q- sx6nec   PRISM_NAME = mercure
-#-Q- sx6nec   M_K = gmake
-#-Q- sx6nec   P_C = cpp
-#-Q- sx6nec   P_O = -P -C $(P_P)
-#-Q- sx6nec   F_C = sxmpif90 -c
-#-Q- sx6nec   #-D- MD    F_D =
-#-Q- sx6nec   #-D- MN    F_D =
-#-Q- sx6nec   #-P- I4R4  F_P = -dW
-#-Q- sx6nec   #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
-#-Q- sx6nec   #-P- I8R8  F_P = -ew
-#-Q- sx6nec   #-P- ??    F_P = -dW -Wf\"-A idbl4\"
-#-Q- sx6nec   F_O = $(F_D) $(F_P) -size_t64 -I $(MODDIR)
-#-Q- sx6nec   F_L = sxmpif90
-#-Q- sx6nec   L_O = -size_t64 $(F_P)
-#-Q- sx6nec   A_C = ar -rv
-#-Q- sx6nec   A_G = ar -x
-#-Q- sx6nec   A_X = sxar -rv
-#-Q- sx6nec   C_C = sxcc -size_t64 -c
-#-Q- sx6nec   C_O =
-#-Q- sx6nec   C_L = sxcc -size_t64
-#-Q- sx6nec   FC_C = gcc -c
-#-Q- sx6nec   FC_O =
-#-Q- sx6nec   FC_L = gcc
-#-Q- sx6nec   #-
-#-Q- sx6nec   NCDF_INC = /usr/local/SX6/soft/netcdf/include
-#-Q- sx6nec   NCDF_LIB = -L/usr/local/SX6/soft/netcdf/lib -lnetcdf
-#-Q- sx6nec   #-
+#-Q- sx8brodie   #- Global definitions for sx8brodie
+#-Q- sx8brodie   #- compilation on brodie for NEC SX-8
+#-Q- sx8brodie   LIB_MPI = MPI2
+#-Q- sx8brodie   LIB_MPI_BIS =
+#-Q- sx8brodie   PRISM_ARCH = SX
+#-Q- sx8brodie   PRISM_NAME = brodie
+#-Q- sx8brodie   M_K = sxgmake
+#-Q- sx8brodie   P_C = sxcpp
+#-Q- sx8brodie   P_O = -P -C $(P_P)
+#-Q- sx8brodie   F_C = sxmpif90 -c
+#-Q- sx8brodie   #-D- MD    F_D =
+#-Q- sx8brodie   #-D- MN    F_D =
+#-Q- sx8brodie   #-P- I4R4  F_P = -dW
+#-Q- sx8brodie   #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- sx8brodie   #-P- I8R8  F_P = -ew
+#-Q- sx8brodie   F_O = $(F_D) $(F_P) -I $(MODDIR)
+#-Q- sx8brodie   F_L = sxmpif90
+#-Q- sx8brodie   L_O = $(F_P)
+#-Q- sx8brodie   A_C = sxar -rv
+#-Q- sx8brodie   A_G = sxar -x
+#-Q- sx8brodie   A_X = sxar -rv
+#-Q- sx8brodie   C_C = sxcc -c
+#-Q- sx8brodie   C_O =
+#-Q- sx8brodie   C_L = sxcc
+#-Q- sx8brodie   FC_C = gcc -c
+#-Q- sx8brodie   FC_O =
+#-Q- sx8brodie   FC_L = gcc
+#-Q- sx8brodie   #-
+#-Q- sx8brodie   NCDF_INC = /SXlocal/pub/netCDF/netCDF-3.6.1/include
+#-Q- sx8brodie   NCDF_LIB = -L/SXlocal/pub/netCDF/netCDF-3.6.1/lib -lnetcdf
+#-Q- sx8brodie   #-
+#-Q- sx8mercure   #- Global definitions for sx8mercure
+#-Q- sx8mercure   #- compilation on mercure for NEC SX-8
+#-Q- sx8mercure   LIB_MPI = MPI2
+#-Q- sx8mercure   LIB_MPI_BIS =
+#-Q- sx8mercure   PRISM_ARCH = SX
+#-Q- sx8mercure   PRISM_NAME = mercure
+#-Q- sx8mercure   M_K = sxgmake
+#-Q- sx8mercure   P_C = cpp
+#-Q- sx8mercure   P_O = -P -C $(P_P)
+#-Q- sx8mercure   F_C = sxmpif90 -c
+#-Q- sx8mercure   #-D- MD    F_D =
+#-Q- sx8mercure   #-D- MN    F_D =
+#-Q- sx8mercure   #-P- I4R4  F_P = -dW
+#-Q- sx8mercure   #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- sx8mercure   #-P- I8R8  F_P = -ew
+#-Q- sx8mercure   F_O = $(F_D) $(F_P) -size_t64 -I $(MODDIR)
+#-Q- sx8mercure   F_L = sxmpif90
+#-Q- sx8mercure   L_O = -size_t64 $(F_P)
+#-Q- sx8mercure   A_C = sxar -rv
+#-Q- sx8mercure   A_G = sxar -x
+#-Q- sx8mercure   A_X = sxar -rv
+#-Q- sx8mercure   C_C = sxcc -size_t64 -c
+#-Q- sx8mercure   C_O =
+#-Q- sx8mercure   C_L = sxcc -size_t64
+#-Q- sx8mercure   FC_C = gcc -c
+#-Q- sx8mercure   FC_O =
+#-Q- sx8mercure   FC_L = gcc
+#-Q- sx8mercure   #-
+#-Q- sx8mercure   NCDF_INC = /usr/local/SX8/soft/netcdf/include
+#-Q- sx8mercure   NCDF_LIB = -L/usr/local/SX8/soft/netcdf/lib -lnetcdf
+#-Q- sx8mercure   #-
 #-Q- t3e      #- Global definitions for T3E
 #-Q- t3e      M_K = gmake
@@ -465,5 +427,4 @@
 #-Q- t3e      #-P- I4R8  F_P =
 #-Q- t3e      #-P- I8R8  F_P =
-#-Q- t3e      #-P- ??    F_P =
 #-Q- t3e      w_w = $(F_D) $(F_P) -rm -O2 -Ounroll2 -Osplit2 -dp
 #-Q- t3e      F_O = $(w_w) -p $(MODEL_LIB)
@@ -489,5 +450,4 @@
 #-Q- tx7      #-P- I4R8  F_P = -i4 -r8
 #-Q- tx7      #-P- I8R8  F_P = -i8 -r8
-#-Q- tx7      #-P- ??    F_P = -i4 -r8
 #-Q- tx7      F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
 #-Q- tx7      F_L = efc
@@ -499,6 +459,6 @@
 #-Q- tx7      C_L = cc
 #-Q- tx7      #-
-#-Q- tx7      NCDF_INC = /usr/local/TX7/soft/netcdf/include
-#-Q- tx7      NCDF_LIB = -L/usr/local/TX7/soft/netcdf/lib -lnetcdf
+#-Q- tx7      NCDF_INC = /usr/local/include
+#-Q- tx7      NCDF_LIB = -L/usr/local/lib -lnetcdf
 #-Q- tx7      #-
 #-Q- unix     #- Global definitions for UNIX
@@ -512,5 +472,4 @@
 #-Q- unix     #-P- I4R8  F_P =
 #-Q- unix     #-P- I8R8  F_P =
-#-Q- unix     #-P- ??    F_P =
 #-Q- unix     F_O = $(F_D) $(F_P) -M$(MODDIR) -fast
 #-Q- unix     F_L = f90
Index: /modipsl/trunk/util/clr_make
===================================================================
--- /modipsl/trunk/util/clr_make	(revision 11)
+++ /modipsl/trunk/util/clr_make	(revision 12)
@@ -1,4 +1,4 @@
 #!/bin/ksh
-# $Id: clr_make,v 2.3 2005/04/05 14:35:47 adm Exp $
+# $Id$
 #---------------------------------------------------------------------
 #- Suppression des Makefile propres a un environnement
Index: /modipsl/trunk/util/ins_m_prec
===================================================================
--- /modipsl/trunk/util/ins_m_prec	(revision 12)
+++ /modipsl/trunk/util/ins_m_prec	(revision 12)
@@ -0,0 +1,95 @@
+#!/bin/ksh
+# $Id$
+#---------------------------------------------------------------------
+#- ins_m_prec - Installation of the precision module
+#---------------------------------------------------------------------
+function ins_m_prec_Usage
+{
+echo "
+ins_m_prec install the precision module in IOIPSL/src
+
+Usage :
+  ${b_n} [-h] | [-v] [-i i_prec] [-r r_prec]
+
+Options :
+  -h        : help
+  -v        : verbose mode
+  -i i_prec : integer precision 4/8
+  -r r_prec : real    precision 4/8
+
+Defaults :
+  -i 4 -r 8
+
+Example for default precision :
+  ins_m_prec
+
+Example for INTEGER 4 and REAL 4 precision :
+  ins_m_prec -i 4 -r 4
+"
+}
+#-  dirname and  basename
+d_n=${0%/*}; b_n=${0##*/};
+#- Retrieving and validation of the options
+x_v='silencious'; x_i=""; x_r="";
+while getopts :hvi:r: V
+  do
+    case ${V} in
+      (h)  ins_m_prec_Usage; exit 0;;
+      (v)  x_v='verbose';;
+      (i)  x_i=${OPTARG};;
+      (r)  x_r=${OPTARG};;
+      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+#-
+# INTEGER and REAL precision
+#-
+case ${x_i} in
+  ( 4 | 8 ) ;;
+  ("") x_i='4';;
+  (*)
+    echo 'Invalid INTEGER precision requested' 1>&2;
+    echo ${x_i}' (must be 4 or 8)' 1>&2;
+    exit 1;;
+esac
+case ${x_r} in
+  ( 4 | 8 ) ;;
+  ("") x_r='8';;
+  (*)
+    echo 'Invalid REAL precision requested' 1>&2;
+    echo ${x_r}' (must be 4 or 8)' 1>&2;
+    exit 1;;
+esac
+#-
+[[ ${x_v} = 'verbose' ]] && \
+  { echo "\nInstallation of the precision module";
+    echo '--- Integer precision  : '${x_i};
+    echo '--- Real    precision  : '${x_r}; }
+#-
+dp_d=${d_n}'/../modeles/IOIPSL/src';
+#-
+dp_b="${dp_d}"'/def.prec'
+[[ ! -f "${dp_b}" ]] && { echo "${dp_b} unreachable ..."; exit 3; }
+sed -e "s/i_std=i_?/i_std=i_${x_i}/" \
+    -e "s/r_std=r_?/r_std=r_${x_r}/" ${dp_b} > wmpf.$$;
+#-
+# Create the module "defprec.f90" or update it
+# if the default precision has been modified
+#-
+dp_p="${dp_d}"'/defprec.f90';
+diff -q wmpf.$$ ${dp_p} > /dev/null 2>&1; r_c=${?};
+[[ ${r_c} != 0 ]] && cp -p wmpf.$$ ${dp_p};
+[[ ${x_v} = 'verbose' ]] && \
+ { echo " ";
+  { [[ ${r_c} = 0 ]] && echo ${dp_p} 'already up to date'; } || \
+  { [[ ${r_c} = 1 ]] && echo 'Update '${dp_p}; } || \
+  { [[ ${r_c} = 2 ]] && echo 'Create '${dp_p}; }
+  echo " "; }
+#-
+unset dp_d dp_b dp_p x_v x_i x_r; rm -f wmpf.$$;
+#-
+exit 0;
Index: /modipsl/trunk/util/ins_make
===================================================================
--- /modipsl/trunk/util/ins_make	(revision 11)
+++ /modipsl/trunk/util/ins_make	(revision 12)
@@ -1,43 +1,48 @@
 #!/bin/ksh
-# $Id: ins_make,v 2.19 2006/01/18 05:59:17 adm Exp $
+# $Id$
 #---------------------------------------------------------------------
 #- Installation of Makefiles according to an environment
 #---------------------------------------------------------------------
-b_n=$(basename $0)
-d_n=$(dirname $0)
+function ins_make_Usage
+{
+echo "
+ins_make install the Makefile in the directories
+
+Usage :
+  ${b_n} [-h] [-v] [-d] [-p r] [-t h] [-m m]
+
+Options :
+  -h   : help
+  -v   : verbose mode
+  -d   : debug mode
+  -p p : int and real precision I4R4/I4R8/I8R8/4/8
+  -t h : target host_name
+  -m m : mpi context choosen for the coupling MPI1/MPI2
+
+Defaults :
+   -t local_host -p I4R8
+
+Example for remote host compilation :
+  ins_make -t sx8brodie
+"
+}
+#-  dirname and  basename
+d_n=${0%/*}; b_n=${0##*/};
 #- Retrieving and validation of the options
-x_v='silencious';
-x_d='normal';
-x_p="";
-x_t="";
-x_m='??';
+x_v='silencious'; x_d='normal'; x_p="??"; x_t="??"; x_m='??';
 while getopts :hvdp:m:t: V
   do
-    case $V in
-      (h)  echo "Usage    : "${b_n} \
-                " [-h] [-v] [-d] [-p r] [-t h] ";
-           echo " -h      : help";
-           echo " -v      : verbose mode";
-           echo " -t h    : target host_name";
-           echo " -d      : debug mode";
-           echo " -p p    : int and real precision I4R4/I4R8/I8R8/4/8";
-           echo " -m m    : mpi context choosen for the coupling MPI1/MPI2";
-           echo "";
-           echo "Example for remote host compilation ";
-           echo "ins_make -t sxnec";
-           echo "";
-           echo "Defaults : -t local_host";
-           echo "";
-           exit 0;;
-      (v)  x_v='verbose';;
-      (d)  x_d='debug';;
-      (p)  x_p=${OPTARG};;
-      (t)  x_t=${OPTARG};;
-      (m)  x_m=${OPTARG};;
-      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
-           exit 2;;
-      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
-           exit 2;;
-    esac
+   case ${V} in
+    (h)  ins_make_Usage; exit 0;;
+    (v)  x_v='verbose';;
+    (d)  x_d='debug';;
+    (p)  x_p=${OPTARG};;
+    (t)  x_t=${OPTARG};;
+    (m)  x_m=${OPTARG};;
+    (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+         exit 2;;
+    (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+         exit 2;;
+   esac
   done
 shift $(($OPTIND-1));
@@ -47,115 +52,72 @@
 # Default INTEGER and REAL precision
 case ${x_p} in
-  ( I4R4 | I4R8 | I8R8 ) ;;
-  ( 4 ) x_p='I4R4';;
-  ( 8 ) x_p='I8R8';;
-  ("")  x_p='??';;
-  (*)
-    echo 'Invalid precision ' 1>&2;
-    echo ${x_p}' (must be I4R4, I4R8, I8R8, 4 or 8)' 1>&2;
-    exit 1;;
+ ( I4R4 | 4 )  x_p='I4R4'; w_ip='4'; w_rp='4';;
+ ( I4R8 | ?? ) x_p='I4R8'; w_ip='4'; w_rp='8';;
+ ( I8R8 | 8 )  x_p='I8R8'; w_ip='8'; w_rp='8';;
+ (*)
+   echo 'Invalid precision ' 1>&2;
+   echo ${x_p}' (must be I4R4, I4R8, I8R8, 4 or 8)' 1>&2;
+   exit 1;;
 esac
 #-
 # Target_Host Name
-if [ '\?'${x_t} = '\?' ]; then
-  x_t=`${d_n}/w_i_h`;
-  if [ $? -ne 0 ]; then
-    echo "Bad installation : w_i_h/uname unreachable" 1>&2;
-    exit 1;
-  elif [ "$x_t" = "Unknown" ]; then
-    echo "Local_Host not supported" 1>&2;
-    exit 1;
-  fi;
-fi;
-case ${x_t} in
- (aix | ax_mono | cray | Darwin | fjvpp | g95 | eshpux |  \
-  linux | lxiv7 | lxiv8 | osf1 | osxxlf | sgi6 | \
-  solaris | sxdkrz | sxnec | sx6nec | t3e | tx7 | unix) ;;
- (*)
-   echo "Target_Host "${x_t}" not supported" 1>&2;
-   exit 1;;
+[[ ${x_t} = '??' ]] && \
+ { x_t=$(${d_n}/w_i_h);
+   { [[ ${?} != 0 ]] && \
+      { echo "Bad installation : w_i_h/uname unreachable" 1>&2;
+        exit 1; }; } || \
+     [[ ${x_t} = "Unknown" ]] && \
+      { echo "Local_Host not supported" 1>&2; exit 1; }; }
+#-
+MKTG=${d_n}'/AA_make.gdef'
+[[ ! -f "${MKTG}" ]] && { echo "${MKTG} unreachable ..."; exit 3; }
+#-
+W_XX=$(sed -n -e "s/^#-Q-  *\([^ ]*\).*$/\1/p" ${MKTG} | \
+       sort -u | sed -e "/${x_t}/!d");
+[[ '\?'"${W_XX}" != '\?'${x_t} ]] && \
+  { echo "Target_Host  "${x_t}"  not supported" 1>&2; exit 1; }
+#-
+case ${x_m} in
+ ( mpi1 | mpi2 | MPI1 | MPI2 | ?? );;
+ (*) echo "MPI context "${x_m}" not supported" 1>&2; exit 1;;
 esac
 #-
-case ${x_m} in
- ( mpi1 | mpi2 | MPI1 | MPI2 | ??) ;;
- (*)
-   echo "MPI context  "${x_m}" not supported" 1>&2;
-   exit 1;;
-esac
+[[ ${x_v} = 'verbose' ]] && \
+ { echo "";
+   echo '--- Mode         : '${x_v};
+   echo '--- Compilation  : '${x_d};
+   echo '--- Precision    : '${x_p};
+   echo '--- Target       : '${x_t};
+   echo '--- MPI context  : '${x_m}; }
 #-
-if [ ${x_v} = 'verbose' ]; then
-  echo '--- Mode         : '${x_v};
-  echo '--- Compilation  : '${x_d};
-  echo '--- Precision    : '${x_p};
-  echo '--- Target       : '${x_t};
-  echo '--- MPI context  : '${x_m};
-fi;
+echo ""; echo "Installation of makefiles for ${x_t}"; echo "";
 #-
 l_rep=$(find ${d_n}/.. -name AA_make -print)
-#-
-W_OS=${x_t};
-echo " ";
-echo "Installation of makefiles for $W_OS";
-echo " ";
-#-
-MKTG=${d_n}'/AA_make.gdef'
-if [ ! -f "$MKTG" ]; then
-  echo "$MKTG unreachable ..."
-  exit 3;
-fi;
-#-
-for i in $l_rep
+for i in ${l_rep}
 do
-  j=${i%/AA_make}
-  echo "Installation in ${j} ...";
-  MKTL="${j}"'/AA_make.ldef'
-  if [ ! -f "$MKTL" ]; then
-    echo "$MKTL unreachable ..."
-    exit 3;
-  fi;
-  MKTR="${j}"'/AA_make'
-  cat ${MKTL} ${MKTG} ${MKTR} > mk1.$$
-  W_XX='#-Q- '$W_OS
-  sed -e "s/^$W_XX *//" mk1.$$ | grep -v '^#-Q- ' > mk2.$$
+  j=${i%/AA_make};
+  echo "Installation in ${j}";
+  MKTL="${j}"'/AA_make.ldef';
+  [[ ! -f "${MKTL}" ]] && { echo "${MKTL} unreachable ..."; exit 3; }
+  MKTR="${j}"'/AA_make';
+  cat ${MKTL} ${MKTG} ${MKTR} > mk1.$$;
+  W_PR='#-Q- '; W_XX=${W_PR}${x_t};
+  sed -e "/^${W_XX} */ s///" -e "/^${W_PR}/d" mk1.$$ > mk2.$$;
 #-
 # Default INTEGER and REAL precision
-  if   [ ${x_p} = 'I4R4' ]; then
-    W_XX='#-P- I4R4'
-  elif [ ${x_p} = 'I4R8' ]; then
-    W_XX='#-P- I4R8'
-  elif [ ${x_p} = 'I8R8' ]; then
-    W_XX='#-P- I8R8'
-  else
-    W_XX='#-P- ??'
-  fi
-  sed -e "s/^$W_XX *//" mk2.$$ | grep -v '^#-P- ' > mk1.$$
+  W_PR='#-P- '; W_XX=${W_PR}${x_p};
+  sed -e "/^${W_XX} */ s///" -e "/^${W_PR}/d" mk2.$$ > mk1.$$;
 #-
-# Remove the module "defprec.f90"
-# if the default precision has (eventually) been modified
-  if [ '!!'${j##*/modeles} = '!!/IOIPSL/src' ]; then
-    dp_n=${d_n}'/../modeles/IOIPSL/src/defprec.f90';
-    if [ -f ${dp_n} ]; then
-      W_NEW=$(grep 'D_P =' mk1.$$ | tail -1 | sed "s/D_P = //")
-      if [ -f ${j}/Makefile ]; then
-        W_OLD=$(grep 'D_P =' ${j}/Makefile | tail -1 | sed "s/D_P = //")
-      else
-        W_OLD='!??!'
-      fi
-      if [ ${W_OLD} != ${W_NEW} ]; then
-        echo 'Remove '${dp_n};
-        rm -f ${dp_n};
-      fi
-      unset W_NEW W_OLD;
-    fi
-    unset dp_n;
-  fi
+# Handle the precision module "defprec.f90" in "IOIPSL/src"
+  [[ '!!'${j##*/modeles} = '!!/IOIPSL/src' ]] && \
+   { [[ ${x_v} = 'verbose' ]] && W_XX='-v' || W_XX="";
+     ${d_n}/ins_m_prec ${W_XX} -i ${w_ip} -r ${w_rp}; r_c=${?};
+     unset w_ip w_rp;
+     [[ ${r_c} != 0 ]] && exit ${r_c}; }
 #-
 # Debug
-  if   [ ${x_d} = 'debug' ]; then
-    W_XX='#-D- MD'
-  else
-    W_XX='#-D- MN'
-  fi
-  sed -e "s/^$W_XX *//" mk1.$$ | grep -v '^#-D- ' > mk2.$$
+  W_PR='#-D- ';
+  [[ ${x_d} = 'debug' ]] && W_XX=${W_PR}'MD' || W_XX=${W_PR}'MN';
+  sed -e "/^${W_XX} */ s///" -e "/^${W_PR}/d" mk1.$$ > mk2.$$;
 #-
 # Retrieve the path of the directory
@@ -167,35 +129,25 @@
 #-
 # Choice of mpi library for the coupling
-  W_XX='LIB_MPI ='
-  W_XX_BIS='LIB_MPI_BIS ='
-#-
-case ${x_m} in
- ( mpi1 | MPI1 )
-    lib_mpi='MPI1'
-    lib_mpi_bis='MPI1'
+  W_XX='LIB_MPI ='; W_XX_BIS='LIB_MPI_BIS =';
+  case ${x_m} in
+   ( mpi1 | MPI1 )
+    lib_mpi='MPI1'; lib_mpi_bis='MPI1';
     sed -e "s!^${W_XX}.*!${W_XX} ${lib_mpi}!" \
-      -e "s!^${W_XX_BIS}.*!${W_XX_BIS} ${lib_mpi_bis}!" mk1.$$ > ${j}/Makefile ;;
- ( mpi2 | MPI2 )
-    lib_mpi='MPI2'
-    lib_mpi_bis=''
+        -e "s!^${W_XX_BIS}.*!${W_XX_BIS} ${lib_mpi_bis}!" \
+      mk1.$$ > ${j}/Makefile;;
+   ( mpi2 | MPI2 )
+    lib_mpi='MPI2'; lib_mpi_bis='';
     sed -e "s!^${W_XX}.*!${W_XX} ${lib_mpi}!" \
-      -e "s!^${W_XX_BIS}.*!${W_XX_BIS} ${lib_mpi_bis}!" mk1.$$ > ${j}/Makefile ;;
- (??) 
-    cp mk1.$$ ${j}/Makefile ;;
- (*) ;;
-esac
-  unset lib_mpi;
-  unset lib_mpi_bis;
-#-
+        -e "s!^${W_XX_BIS}.*!${W_XX_BIS} ${lib_mpi_bis}!" \
+      mk1.$$ > ${j}/Makefile;;
+   (??) 
+    cp mk1.$$ ${j}/Makefile;;
+   (*) ;;
+  esac
+  unset lib_mpi lib_mpi_bis;
 done
 #-
-rm -f mk1.$$ mk2.$$
+echo "";
+unset W_XX W_XX_BIS; rm -f mk1.$$ mk2.$$;
 #-
 exit 0;
-
-
-
-
-
-
-
Index: /modipsl/trunk/util/ins_post
===================================================================
--- /modipsl/trunk/util/ins_post	(revision 11)
+++ /modipsl/trunk/util/ins_post	(revision 12)
@@ -1,4 +1,4 @@
 #!/bin/ksh
-# $Id: ins_post,v 2.3 2004/12/22 16:04:12 adm Exp $
+# $Id$
 #-----------------------------------------------
 #- Installation de scripts de post_traitement
@@ -35,11 +35,11 @@
 shift $(($OPTIND-1));
 
-if [ "$x_t" = "sxnec" ]; then
-   b_n_post=$(basename $HOMEGAYA)
-   d_n_post=$(dirname $HOMEGAYA)
+if   [ "$x_t" = "sx8brodie" ]; then
+   b_n_post=$(basename $HOME)
+   d_n_post=$(dirname $HOME | sed 's/home/u/')
 elif [ "$x_t" = "fjvpp" ]; then
    b_n_post=$(basename $DMFDIR)
    d_n_post=\/$(dirname $DMFDIR | awk -F\/ '{print $4}')
-elif [ "$x_t" = "sx6nec" ]; then
+elif [ "$x_t" = "sx8mercure" ]; then
    b_n_post=$(basename $DMFDIR)
    d_n_post=$(dirname $DMFDIR)
@@ -67,5 +67,6 @@
 
 case ${x_t} in
-  ( aix | cray | fjvpp | linux | osf1 | solaris | t3e | sxnec | sx6nec | unix ) ;;
+  ( aix | cray | fjvpp | linux | lxiv7 | lxiv8 | osf1 | \
+    solaris | t3e | sx8brodie | sx8mercure | unix ) ;;
   (*)
     echo "Target_Host "${x_t}" not supported" 1>&2;
@@ -110,9 +111,9 @@
 W_OS=${x_t};
 
-if [ ${W_OS}  = "sxnec" ]; then
+if   [ ${W_OS}  = "sx8brodie" ]; then
    format='\s'
 elif [ ${W_OS}  = "fjvpp" ]; then
    format='\d'
-elif [ ${W_OS}  = "sx6nec" ]; then
+elif [ ${W_OS}  = "sx8mercure" ]; then
    format='\g'
 else
Index: /modipsl/trunk/util/ins_script
===================================================================
--- /modipsl/trunk/util/ins_script	(revision 11)
+++ /modipsl/trunk/util/ins_script	(revision 12)
@@ -1,4 +1,4 @@
 #!/bin/ksh
-# $Id: ins_script,v 2.3 2005/01/31 16:40:29 adm Exp $
+# $Id$
 #---------------------------------------------------------------------
 #- Installation de scripts de lancement d experiences propres a un environnement
@@ -50,7 +50,7 @@
 fi;
 
-if [ "$x_t" = "sxnec" ]; then
-   b_n_atlas=$(basename $HOMEGAYA)
-   d_n_atlas=$(dirname $HOMEGAYA)
+if   [ "$x_t" = "sx8brodie" ]; then
+   b_n_atlas=$(basename $HOME)
+   d_n_atlas=$(dirname $HOME | sed 's/home/u/')
 elif [ "$x_t" = "aix" ]; then
    b_n_atlas=$LOGIN
@@ -59,5 +59,5 @@
    b_n_atlas=$(basename $DMFDIR)
    d_n_atlas=\/$(dirname $DMFDIR | awk -F\/ '{print $4}')
-elif [ "$x_t" = "sx6nec" ]; then
+elif [ "$x_t" = "sx8mercure" ]; then
    b_n_atlas=$(basename $DMFDIR)
    d_n_atlas=$(dirname $DMFDIR)
@@ -73,5 +73,5 @@
 case ${x_t} in
   ( aix | cray | fjvpp | linux | lxiv7 | lxiv8 | osf1 | \
-    solaris | t3e | sxnec | sx6nec | unix ) ;;
+    solaris | t3e | sx8brodie | sx8mercure | unix ) ;;
   (*)
     echo "Target_Host "${x_t}" not supported" 1>&2;
@@ -94,5 +94,5 @@
 W_OS=${x_t};
 #
-if [ ${W_OS}  = "sxnec" ]; then
+if   [ ${W_OS}  = "sx8brodie" ]; then
    format='\s'
 elif [ ${W_OS}  = "aix" ]; then
@@ -100,5 +100,5 @@
 elif [ ${W_OS}  = "fjvpp" ]; then
    format='\d'
-elif [ ${W_OS}  = "sx6nec" ]; then
+elif [ ${W_OS}  = "sx8mercure" ]; then
    format='\s'
 else
Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 11)
+++ /modipsl/trunk/util/mod.def	(revision 12)
@@ -1,32 +1,41 @@
-#- $Header: /home/ioipsl/CVSROOT/modipsl/util/mod.def,v 2.43 2006/01/18 13:51:32 adm Exp $
+#- $Id$
 #---------------------------------------------------------------------
-#- Pour chaque modele on definit
-#- ses composants (prefixe #-C-), leurs "tags" (prefixe #-T-),
-#- et l'index du serveur CVS correspondant (prefixe #-I-)
-#- dans la liste des serveurs (prefixe #-S-).
-#- Le tag "?" est utilise pour les composants sans tag particulier.
-#- Le tag "-?" est force avec l'option -H activee.
+#-This file is the definition file of the script "model".
 #---------------------------------------------------------------------
-#- Adresses des serveurs CVS
-#-
-#-S- 1 anonymous@cvs.ipsl.jussieu.fr:/home/ioipsl/CVSROOT
-#-S- 2 sechiba@cvs.ipsl.jussieu.fr:/home/ssipsl/CVSREP
-#-S- 3 lmdzbrowse@cvs.lmd.jussieu.fr:/home/cvsroot
-#-S- 4 opa@cvs.ipsl.jussieu.fr:/home/opalod/CVSROOT
-#-S- 5 nemo@cvs.ipsl.jussieu.fr:/home/opalod/NEMOCVSROOT
-#-S- 6 inca@cvs.ipsl.jussieu.fr:/home/incaipsl/CVSROOT
+#- Each model is defined by
+#- (prefix #-H-) model informations,
+#- (prefix #-C-) its components,
+#- (prefix #-T-) its "tags",
+#- (prefix #-L-) local working directory in modipsl,
+#- (prefix #-D-) installation directory in the working directory,
+#- (prefix #-M-) the email address of the model manager,
+#- (prefix #-I-) a pointer on the repository server tables
+#- (prefix #-S-) containing the repository system and server address.
+#-
+#- The tag "?" correspond to the default model version.
+#- Invoking "model" with -H overrides any tags with "?".
 #---------------------------------------------------------------------
-#- Informations relatives aux modeles
-#- 
-#-H- IPSLCM4_v1  Modele couple IPSL en cours de finalisation
-#-H- IPSLCM4_v1  ORCA tag ipsl_cm4_v1_9
+#- Repository informations
+#-
+#-S- 1 cvs anonymous@cvs.ipsl.jussieu.fr:/home/ioipsl/CVSROOT
+#-S- 2 cvs sechiba@cvs.ipsl.jussieu.fr:/home/ssipsl/CVSREP
+#-S- 3 cvs lmdzbrowse@cvs.lmd.jussieu.fr:/home/cvsroot
+#-S- 4 cvs opa@cvs.ipsl.jussieu.fr:/home/opalod/CVSROOT
+#-S- 5 cvs nemo@cvs.ipsl.jussieu.fr:/home/opalod/NEMOCVSROOT
+#-S- 6 cvs inca@cvs.ipsl.jussieu.fr:/home/incaipsl/CVSROOT
+#-S- 7 svn --username nemo_user http://forge.ipsl.jussieu.fr/nemo/svn
+#---------------------------------------------------------------------
+#- Models description
+#-
+#-H- IPSLCM4_v1  Modele couple IPSL dit IPCC
+#-H- IPSLCM4_v1  ORCA tag ipsl_cm4_v1_10
 #-H- IPSLCM4_v1  IOIPSL/src tag ipsl_cm4_v1_9_1
 #-H- IPSLCM4_v1  LMDZ tag IPSL-CM4_IPCC
 #-H- IPSLCM4_v1  ORCHIDEE tag orchidee_1_3
 #-H- IPSLCM4_v1  CPL Oasis tag IPSL : ipsl_cm4_v1_2
-#-H- IPSLCM4_v1  IPSLCM4_v1 configuration tag IPSL : ipsl_cm4_v1_5
+#-H- IPSLCM4_v1  IPSLCM4_v1 configuration tag IPSL : ipsl_cm4_v1_6
 #-M- IPSLCM4_v1  patricia.cadule@ipsl.jussieu.fr
-#-C- IPSLCM4_v1  IOIPSL/src       CPL             ORCHIDEE      LMDZ.3.3      IPSLCM4_v1    OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make   
-#-T- IPSLCM4_v1  ipsl_cm4_v1_9_1  ipsl_cm4_v1_2   orchidee_1_3  IPSL-CM4_IPCC ipsl_cm4_v1_6 ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8 
+#-C- IPSLCM4_v1  IOIPSL/src       CPL             ORCHIDEE      LMDZ.3.3      IPSLCM4_v1    OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make
+#-T- IPSLCM4_v1  ipsl_cm4_v1_9_1  ipsl_cm4_v1_2   orchidee_1_3  IPSL-CM4_IPCC ipsl_cm4_v1_6 ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8
 #-I- IPSLCM4_v1  1                1               2             3             1             4              4              4
 #-D- IPSLCM4_v1  .                .               .             .             .             .              .              .
@@ -34,5 +43,5 @@
 #-H- IPSLCM4_LOOP  IPSL coupled model with tracer model and carbon cycle
 #-H- IPSLCM4_LOOP  ORCA (OPA+TRC+LIM) : tag ipsl_cm4_loop_1
-#-H- IPSLCM4_LOOP  IOIPSL/src tag ioipsl-2-0 
+#-H- IPSLCM4_LOOP  IOIPSL/src tag ioipsl-2-0
 #-H- IPSLCM4_LOOP  LMDZ4 tag IPSL-CM4_LOOP
 #-H- IPSLCM4_LOOP  ORCHIDEE tag orchidee_1_4
@@ -40,23 +49,37 @@
 #-H- IPSLCM4_LOOP  IPSLCM4_LOOP configuration tag IPSL :  ipsl_cm4_loop_v1
 #-H- IPSLCM4_LOOP  Message sent to Patricia CADULE (IPSL)
-#-M- IPSLCM4_LOOP  patricia.cadule@ipsl.jussieu.fr 
-#-C- IPSLCM4_LOOP  IOIPSL/src       CPL         ORCHIDEE      LMDZ4           IPSLCM4_LOOP       IPSLCM4_v1/Utilitaires   OPA/SRC_ORCA    OPA/SRC_UCL     OPA/SRC_TRC     UTIL/fait_AA_make   
-#-T- IPSLCM4_LOOP  ioipsl-2-0       ?           orchidee_1_4  IPSL-CM4_LOOP   ?                  ipsl_cm4_v1_6            ipsl_cm4_loop_1 ipsl_cm4_loop_1 ipsl_cm4_loop_1 ipsl_cm4_v1_8 
+#-M- IPSLCM4_LOOP  patricia.cadule@ipsl.jussieu.fr
+#-C- IPSLCM4_LOOP  IOIPSL/src       CPL         ORCHIDEE      LMDZ4           IPSLCM4_LOOP       IPSLCM4_v1/Utilitaires   OPA/SRC_ORCA    OPA/SRC_UCL     OPA/SRC_TRC     UTIL/fait_AA_make
+#-T- IPSLCM4_LOOP  ioipsl-2-0       ?           orchidee_1_4  IPSL-CM4_LOOP   ?                  ipsl_cm4_v1_6            ipsl_cm4_loop_1 ipsl_cm4_loop_1 ipsl_cm4_loop_1 ipsl_cm4_v1_8
 #-I- IPSLCM4_LOOP  1                1           2             3               1                  1                        4               4               4               4
 #-D- IPSLCM4_LOOP  .                .           .             .               IPSLCM4_LOOP       post_util                .               .               .               .
 #-L- IPSLCM4_LOOP  modeles          modeles     modeles       modeles         config             .                        modeles         modeles         modeles         modeles
 #-
-#-H- IPSLCM4_v1_OASIS3  Modele couple IPSL en cours de finalisation
+#-H- IPSLCM4_v1_OASIS3  IPSLCM4_v1_OASIS3 configuration with OASIS3 coupler 23/03/05
 #-H- IPSLCM4_v1_OASIS3  ORCA tag ipsl_cm4_v1_10
-#-H- IPSLCM4_v1_OASIS3  IOIPSL/src tag ipsl_cm4_v1_9_1
-#-H- IPSLCM4_v1_OASIS3  LMDZ4 tag IPSL-CM4_IPCC
-#-H- IPSLCM4_v1_OASIS3  ORCHIDEE tag orchidee_1_3
-#-H- IPSLCM4_v1_OASIS3  IPSLCM4_v1_OASIS3 configuration with OASIS3 coupler 23/03/05
+#-H- IPSLCM4_v1_OASIS3  IOIPSL/src tag ioipsl-2-1
+#-H- IPSLCM4_v1_OASIS3  LMDZ4 tag IPSL-CM4_IPCC_branch
+#-H- IPSLCM4_v1_OASIS3  ORCHIDEE tag orchidee_1_3_1
+#-H- IPSLCM4_v1_OASIS3  OASIS3
 #-M- IPSLCM4_v1_OASIS3  arnaud.caubel@cea.fr
-#-C- IPSLCM4_v1_OASIS3  IOIPSL/src       ORCHIDEE      OASIS3        LMDZ4         IPSLCM4_v1_OASIS3    IPSLCM4_v1/Utilitaires OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make   
-#-T- IPSLCM4_v1_OASIS3  ioipsl-2-0       orchidee_1_3  ?             IPSL-CM4_IPCC_branch         ?            ipsl_cm4_v1_6          ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8 
+#-C- IPSLCM4_v1_OASIS3  IOIPSL/src       ORCHIDEE      OASIS3        LMDZ4         IPSLCM4_v1_OASIS3    IPSLCM4_v1/Utilitaires OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make
+#-T- IPSLCM4_v1_OASIS3  ioipsl-2-1       orchidee_1_3_1  ?           IPSL-CM4_IPCC_branch         ?            ipsl_cm4_v1_6          ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8
 #-I- IPSLCM4_v1_OASIS3  1                2             1             3             1                    1                      4              4              4
-#-D- IPSLCM4_v1_OASIS3  .                .             prism         .             .                    post_util              .              .              . 
+#-D- IPSLCM4_v1_OASIS3  .                .             prism         .             .                    post_util              .              .              .
 #-L- IPSLCM4_v1_OASIS3  modeles          modeles       .             modeles       config               .                      modeles        modeles        modeles
+#-
+#-H- IPSLCM4_v2_PAR  IPSLCM4_v2_PAR configuration with parallel LMDZ4 and ORCHIDEE
+#-H- IPSLCM4_v2_PAR  working configuration
+#-H- IPSLCM4_v2_PAR  ORCA tag ipsl_cm4_v1_10
+#-H- IPSLCM4_v2_PAR  IOIPSL/src tag ioipsl-3-1
+#-H- IPSLCM4_v2_PAR  LMDZ4 tag V3_test
+#-H- IPSLCM4_v2_PAR  ORCHIDEE tag ORCHIDEE_PARA
+#-H- IPSLCM4_v2_PAR  OASIS3 tag HEAD
+#-M- IPSLCM4_v2_PAR  arnaud.caubel@cea.fr
+#-C- IPSLCM4_v2_PAR  IOIPSL/src  ORCHIDEE       OASIS3  LMDZ4    IPSLCM4_v2_PAR  IPSLCM4_v1/Utilitaires OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make
+#-T- IPSLCM4_v2_PAR  ioipsl-3-1  ORCHIDEE_PARA  ?       V3_test  ?               ipsl_cm4_v1_6          ipsl_cm4_v1_11 ipsl_cm4_v1_11 ipsl_cm4_v1_8
+#-I- IPSLCM4_v2_PAR  1           2              1       3        1               1                      4              4              4
+#-D- IPSLCM4_v2_PAR  .           .              prism   .        .               post_util              .              .              .
+#-L- IPSLCM4_v2_PAR  modeles     modeles        .       modeles  config          .                      modeles        modeles        modeles
 #-
 #-H- IOIPSL  IOIPSL source only
@@ -64,5 +87,5 @@
 #-M- IOIPSL  foujols@ipsl.jussieu.fr
 #-C- IOIPSL  IOIPSL/src
-#-T- IOIPSL  ioipsl-2-0
+#-T- IOIPSL  ioipsl-3-1
 #-I- IOIPSL  1
 #-D- IOIPSL  .
@@ -99,5 +122,5 @@
 #-M- ORCHIDEE_OL_IO2  Martial.Mancip@ipsl.jussieu.fr
 #-C- ORCHIDEE_OL_IO2  IOIPSL/src       ORCHIDEE       ORCHIDEE_OL
-#-T- ORCHIDEE_OL_IO2  ioipsl-2-0       orchidee_1_4   old_ioipsl
+#-T- ORCHIDEE_OL_IO2  ioipsl-2-1       orchidee_1_5   old_ioipsl
 #-I- ORCHIDEE_OL_IO2  1                2              2
 #-D- ORCHIDEE_OL_IO2  .                .              .
@@ -115,5 +138,5 @@
 #-M- LMDZ  fairhead@lmd.jussieu.fr
 #-C- LMDZ  IOIPSL/src LMDZ.3.3
-#-T- LMDZ  ipsl_cm4_v1_9_1   rel-1-0-patch 
+#-T- LMDZ  ipsl_cm4_v1_9_1   rel-1-0-patch
 #-I- LMDZ  1               3
 #-D- LMDZ  .               .
@@ -132,12 +155,36 @@
 #-H- LMDZ4OR  closest version to the IPSL coupled model IPSLCM4_v1_OASIS3
 #-H- LMDZ4OR  LMDZ4 IPSL-CM4_IPCC_branch version
-#-H- LMDZ4OR  ORCHIDEE tag orchidee_1_3
-#-H- LMDZ4OR  IOIPSL tag ioipsl-2-0
+#-H- LMDZ4OR  ORCHIDEE tag orchidee_1_3_1
+#-H- LMDZ4OR  IOIPSL tag ioipsl-2-1
 #-M- LMDZ4OR  fairhead@lmd.jussieu.fr
 #-C- LMDZ4OR  IOIPSL/src      ORCHIDEE      LMDZ4                 LMDZ4OR   IPSLCM4_v1/Utilitaires
-#-T- LMDZ4OR  ioipsl-2-0      orchidee_1_3  IPSL-CM4_IPCC_branch  ?         ipsl_cm4_v1_6
+#-T- LMDZ4OR  ioipsl-2-1      orchidee_1_3_1  IPSL-CM4_IPCC_branch  ?         ipsl_cm4_v1_6
 #-I- LMDZ4OR  1               2             3                     1         1
 #-D- LMDZ4OR  .               .             .                     .         post_util
 #-L- LMDZ4OR  modeles         modeles       modeles               config    .
+#-
+#-H- LMDZ4OR_V2  LMDZ4 with ORCHIDEE :
+#-H- LMDZ4OR_V2  Latest validated LMDZ4 version
+#-H- LMDZ4OR_V2  LMDZ4 LMDZ_V2 version
+#-H- LMDZ4OR_V2  ORCHIDEE tag orchidee_1_3
+#-H- LMDZ4OR_V2  IOIPSL tag ioipsl-2-1
+#-M- LMDZ4OR_V2  fairhead@lmd.jussieu.fr
+#-C- LMDZ4OR_V2  IOIPSL/src      ORCHIDEE      LMDZ4    LMDZ4OR   IPSLCM4_v1/Utilitaires
+#-T- LMDZ4OR_V2  ioipsl-2-1      orchidee_1_3  LMDZ4_V2  ?         ipsl_cm4_v1_6
+#-I- LMDZ4OR_V2  1               2             3                     1         1
+#-D- LMDZ4OR_V2  .               .             .                     .         post_util
+#-L- LMDZ4OR_V2  modeles         modeles       modeles               config    .
+#-
+#-H- LMDZ4OR_V3_CHILI  LMDZ4 with ORCHIDEE :
+#-H- LMDZ4OR_V3_CHILI  Latest validated LMDZ4_v3 version
+#-H- LMDZ4OR_V3_CHILI  LMDZ4 LMDZ_V3 version
+#-H- LMDZ4OR_V3_CHILI  ORCHIDEE tag ORCHIDEE_PARA
+#-H- LMDZ4OR_V3_CHILI  IOIPSL tag ioipsl-3-1
+#-M- LMDZ4OR_V3_CHILI  fairhead@lmd.jussieu.fr
+#-C- LMDZ4OR_V3_CHILI  IOIPSL/src      ORCHIDEE      LMDZ4    LMDZ4OR   libIGCM
+#-T- LMDZ4OR_V3_CHILI  ioipsl-3-1      ORCHIDEE_PARA V3_test  ?         ?
+#-I- LMDZ4OR_V3_CHILI  1               2             3        1         1
+#-D- LMDZ4OR_V3_CHILI  .               .             .        .         .
+#-L- LMDZ4OR_V3_CHILI  modeles         modeles       modeles  config    scripts
 #-
 #-H- LMDZ4INCA  LMDZ with INCA :
@@ -146,5 +193,5 @@
 #-H- LMDZ4INCA  INCA.2 reference version
 #-H- LMDZ4INCA  IOIPSL tag ioipsl-2-0
-#-M- LMDZ4INCA  Anne.Cozic@cea.fr    
+#-M- LMDZ4INCA  Anne.Cozic@cea.fr
 #-C- LMDZ4INCA  IOIPSL/src      INCA.2        LMDZ4                 LMDZ4INCA
 #-T- LMDZ4INCA  ioipsl-2-0      ?             ?                     ?
@@ -153,6 +200,18 @@
 #-L- LMDZ4INCA  modeles         modeles       modeles               config
 #-
-#-H- LMDZOR_V1  LMDZ with ORCHIDEE. 
-#-H- LMDZOR_V1  ORCHIDEE no tag 
+#-H- LMDZ4INCA_V2  LMDZ with INCA :
+#-H- LMDZ4INCA_V2  closest version to the IPSL coupled model IPSLCM4_v2_PAR
+#-H- LMDZ4INCA_V2  LMDZ4 version v3_test
+#-H- LMDZ4INCA_V2  INCA3 reference version
+#-H- LMDZ4INCA_V2  IOIPSL tag ioipsl-3-1
+#-M- LMDZ4INCA_V2  Anne.Cozic@cea.fr
+#-C- LMDZ4INCA_V2  IOIPSL/src      INCA3        LMDZ4                 LMDZ4INCA_V2
+#-T- LMDZ4INCA_V2  ioipsl-3-1      ?             V3_test                ?
+#-I- LMDZ4INCA_V2  1               6             3                     1
+#-D- LMDZ4INCA_V2  .               .             .                     .
+#-L- LMDZ4INCA_V2  modeles         modeles       modeles               config
+#-
+#-H- LMDZOR_V1  LMDZ with ORCHIDEE.
+#-H- LMDZOR_V1  ORCHIDEE no tag
 #-H- LMDZOR_V1  LMDZ tag IPSL-CM4_v2x0
 #-M- LMDZOR_V1  fairhead@lmd.jussieu.fr
@@ -182,15 +241,15 @@
 #-
 #-H- NEMO  NEMO
-#-H- NEMO  OPA 
-#-H- NEMO  LIM 
-#-H- NEMO  TOP 
-#-H- NEMO  IOIPSL/src tag ioipsl-2-0
+#-H- NEMO  OPA
+#-H- NEMO  LIM
+#-H- NEMO  TOP
+#-H- NEMO  IOIPSL/src tag ioipsl-3-1
 #-H- NEMO  NEMO sources and configurations
 #-M- NEMO  opatlod@lodyc.jussieu.fr
-#-C- NEMO  IOIPSL/src      NEMO          UTIL          CONFIG/GYRE          CONFIG/ORCA2_LIM
-#-T- NEMO  ioipsl-3-0      nemo_v1_09    nemo_v1_09    nemo_v1_09           nemo_v1_09
-#-I- NEMO  1               5             5             5                    5 
-#-D- NEMO  .               .             .             GYRE                 ORCA2_LIM
-#-L- NEMO  modeles         modeles       modeles       config               config
+#-C- NEMO  IOIPSL/src     AGRIF        NEMO         UTIL         CONFIG/GYRE        CONFIG/ORCA2_LIM
+#-T- NEMO  ioipsl-3-1     ?            nemo_v2      nemo_v2      nemo_v2            nemo_v2
+#-I- NEMO  1              5            5            5            5                  5
+#-D- NEMO  .              .            .            .            GYRE               ORCA2_LIM
+#-L- NEMO  modeles        modeles      modeles      modeles      config             config
 #-
 #-H- ORCA4_LIM  ORCA 4 degrees with Louvain Ice Model
@@ -245,8 +304,8 @@
 #-H- EEL6  IOIPSL/src tag ipsl_cm4_v1_9_1
 #-M- EEL6  opatlod@lodyc.jussieu.fr
-#-C- EEL6  IOIPSL/src     OPA/SRC_ORCA   UTIL/fait_AA_make CONFIG/EEL6
-#-T- EEL6  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6  ipsl_cm4_v1_8     ?
-#-I- EEL6  1              4              4                 4
-#-D- EEL6  .              .              .                 EEL6
+#-C- EEL6  IOIPSL/src       OPA/SRC_ORCA   UTIL/fait_AA_make  CONFIG/EEL6
+#-T- EEL6  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6  ipsl_cm4_v1_8      ?
+#-I- EEL6  1                4              4                  4
+#-D- EEL6  .                .              .                  EEL6
 #-
 #-H- EEL6_LOBSTER1  EEL6_LOBSTER1 configuration, EEL6+tracers - no ice model
@@ -254,8 +313,8 @@
 #-H- EEL6_LOBSTER1  IOIPSL/src tag ipsl_cm4_v1_9_1
 #-M- EEL6_LOBSTER1  opatlod@lodyc.jussieu.fr
-#-C- EEL6_LOBSTER1  IOIPSL/src     OPA/SRC_ORCA    OPA/SRC_TRC     UTIL/fait_AA_make CONFIG/EEL6_LOBSTER1
-#-T- EEL6_LOBSTER1  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6   ipsl_cm4_v1_6   ipsl_cm4_v1_8     ?
-#-I- EEL6_LOBSTER1  1              4               4               4                 4
-#-D- EEL6_LOBSTER1  .              .               .               .                 EEL6_LOBSTER1
+#-C- EEL6_LOBSTER1  IOIPSL/src       OPA/SRC_ORCA    OPA/SRC_TRC     UTIL/fait_AA_make  CONFIG/EEL6_LOBSTER1
+#-T- EEL6_LOBSTER1  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6   ipsl_cm4_v1_6   ipsl_cm4_v1_8      ?
+#-I- EEL6_LOBSTER1  1                4               4               4                  4
+#-D- EEL6_LOBSTER1  .                .               .               .                  EEL6_LOBSTER1
 #-
 #-M- TOY  foujols@ipsl.jussieu.fr
@@ -267,19 +326,31 @@
 #-H- ORCA_TOYATM  Modele couple ORCA4 - TOYATM
 #-H- ORCA_TOYATM  ORCA tag ipsl_cm4_v1_10
-#-H- ORCA_TOYATM  IOIPSL/src tag Head
+#-H- ORCA_TOYATM  IOIPSL/src tag ioipsl-2-1
 #-H- ORCA_TOYATM  ORCA_TOYATM configuration with OASIS3 coupler 06/2005
 #-M- ORCA_TOYATM  arnaud.caubel@cea.fr
-#-C- ORCA_TOYATM  IOIPSL/src       OASIS3        TOY/ATM      ORCA_TOYATM    OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make   
-#-T- ORCA_TOYATM  ?                ?             ?            ?              ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8 
-#-I- ORCA_TOYATM  1                1             1            1              4              4              4
-#-D- ORCA_TOYATM  .                prism         TOYATM       .              .              .              . 
-#-L- ORCA_TOYATM  modeles          .             modeles      config         modeles        modeles        modeles
-
-
-
-
-
-
-
-
-
+#-C- ORCA_TOYATM  IOIPSL/src    OASIS3     TOY/ATM    ORCA_TOYATM   OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make
+#-T- ORCA_TOYATM  ioipsl-2-1    ?          ?          ?             ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8
+#-I- ORCA_TOYATM  1             1          1          1             4              4              4
+#-D- ORCA_TOYATM  .             prism      TOYATM     .             .              .              .
+#-L- ORCA_TOYATM  modeles       .          modeles    config        modeles        modeles        modeles
+#-
+#-H- SVNNEMO  NEMO source only
+#-M- SVNNEMO  opatlod@lodyc.jussieu.fr
+#-C- SVNNEMO  trunk/NEMO
+#-T- SVNNEMO  ?
+#-I- SVNNEMO  7
+#-D- SVNNEMO  .
+#-
+#-H- NEMOSVN  NEMO
+#-H- NEMOSVN  OPA
+#-H- NEMOSVN  LIM
+#-H- NEMOSVN  TOP
+#-H- NEMOSVN  IOIPSL/src tag ioipsl-3-1
+#-H- NEMOSVN  NEMO sources and configurations
+#-M- NEMOSVN  opatlod@lodyc.jussieu.fr
+#-C- NEMOSVN  IOIPSL/src   trunk/AGRIF   trunk/NEMO   trunk/UTIL   trunk/CONFIG/GYRE   trunk/CONFIG/ORCA2_LIM
+#-T- NEMOSVN  ioipsl-3-1   ?             585          544          590                 590
+#-I- NEMOSVN  1            7             7            7            7                   7
+#-D- NEMOSVN  .            .             .            .            GYRE                ORCA2_LIM
+#-L- NEMOSVN  modeles      modeles       modeles      modeles      config              config
+#-
Index: /modipsl/trunk/util/model
===================================================================
--- /modipsl/trunk/util/model	(revision 11)
+++ /modipsl/trunk/util/model	(revision 12)
@@ -1,20 +1,19 @@
 #!/bin/ksh
-#- $Id: model,v 2.8 2005/06/17 11:43:38 adm Exp $
+#- $Id$
 #---------------------------------------------------------------------
-# @(#)Actions relatives aux modeles IPSL
+# @(#)Actions concerning IPSL models
 #---------------------------------------------------------------------
-#-
 #set -xv
 MAIL_ADDRESS=patricia.cadule@ipsl.jussieu.fr
 MAIL_COM=mail
 #MAIL_COM=Mail
-#------------------------------------------------------------
-#- Decomposition du nom d'appel de la procedure (d_n/b_n) ---
-#------------------------------------------------------------
-d_n=$(dirname $0); b_n=$(basename $0);
-#--------------------------------------
-#- Saisie et validation des options ---
-#--------------------------------------
-m_n=""; m_a=""; m_v='silencious'; no_tag='false'; 
+#---
+#- Dirname and Basename
+#---
+d_n=${0%/*}; b_n=${0##*/};
+#---
+#- Retrieve and validate the options
+#---
+m_n=""; m_a=""; m_v='silencious'; no_tag='false';
 while getopts :heudrvH V
   do
@@ -34,103 +33,178 @@
   done
 shift $(($OPTIND-1));
-case ${m_a} in
-  ( checkout | update | diff | remove ) ;;
-  ("") m_a='checkout';;
-esac
-#-----------------------------
-#- Saisie du nom du modele ---
-#-----------------------------
-if   [ ${#} -gt 1 ]; then
-  echo 'Only one model can be specified' 1>&2;
-  exit 3;
-elif [ ${#} -eq 1 ]; then
-  m_n="${1}";
-elif [ ${m_a} != 'help' ]; then
+#---
+#- Validate the action
+#---
+[[ -z "${m_a}" ]] && { m_a='checkout'; }
+[[ ${m_a} = help || ${m_a} = checkout || ${m_a} = update || \
+   ${m_a} = diff || ${m_a} = remove ]] || \
+  { echo 'Action '"${m_a}"' not supported' 1>&2; exit 4; }
+#---
+#- Retrieve the model name
+#---
+[[ ${#} -gt 1 ]] && \
+  { echo 'Only one model can be specified' 1>&2; exit 3; }
+[[ ${#} -eq 1 ]] && { m_n="${1}"; }
+[[ ${m_a} != 'help' && -z ${m_n} ]] && \
+ {
   echo 'Model not specified' 1>&2;
   echo 'Try "'${b_n}' -h [model-name]"' 1>&2;
   exit 3;
-fi
-#-----------------------------------------------
-#- Test d'existence du fichier de definition ---
-#-----------------------------------------------
+ }
+#---
+#- Test of presence of the definition file
+#---
 F_DEF=${d_n}'/mod.def'
-[ ! -f "${F_DEF}" ] && { echo "${F_DEF} unreachable ..."; exit 3; }
-#-----------------------------------------------
-#- Extraction des noms des modeles supportes ---
-#-----------------------------------------------
-QQQ=$(sed -n -e "s/^#-C-  *\([^ ]*\).*$/\1/p" ${F_DEF});
-qi=0; for i in ${QQQ}; do ((qi=qi+1)); m_x[qi]=${i}; done
-#-------------------------------------------------------------
-#- Validation du nom du modele et saisie des informations  ---
-#-------------------------------------------------------------
-[ '\?'"${m_n}" != '\?' ] && \
+[[ ! -f "${F_DEF}" ]] && { echo "${F_DEF} unreachable ..."; exit 3; }
+#---
+#- Extract the names of the supported models
+#---
+qi=0;
+while read v0 v1 v2
+  do
+    [[ -n "${v0}" && "${v0}" = '#-C-' ]] && \
+     { ((qi=qi+1)); m_x[${qi}]=${v1}; }
+  done <${F_DEF}
+unset v0 v1 v2;
+#---
+#- Model name validation and data retrieving
+#---
+[[ -n "${m_n}" ]] && \
   {
+    #- Validate the model name
     i_m=-1;
     qi=0; while (( ${qi} < ${#m_x[@]} ))
       do
         ((qi=qi+1));
-        [ ${m_n} = ${m_x[qi]} ] && { i_m=${qi}; break; };
+        [[ ${m_n} = ${m_x[${qi}]} ]] && { i_m=${qi}; break; };
       done
     (( ${i_m} < 0 )) && \
      { echo 'Model '"${m_n}"' unknown' 1>&2;
-       echo 'Try "'${b_n}' -h"' 1>&2;
-       exit 3; }
-    #- Recherche de l'adresse email a qui envoyer les infos
-    QQQ=$(sed -n -e "s/^#-M-  *${m_n}  *//p" ${F_DEF});
-    [ '\?'"${QQQ}" = '\?' ] && \
-      { echo 'Address mail not found for '${m_n}; exit 3; }
-    m_m=${QQQ}
-    #- Recherche des composants
-    QQQ=$(sed -n -e "s/^#-C-  *${m_n}  *//p" ${F_DEF});
-    [ '\?'"${QQQ}" = '\?' ] && \
-      { echo 'Components not found for '${m_n}; exit 3; }
-    qi=0; for i in ${QQQ}; do ((qi=qi+1)); m_c[qi]=${i}; done
-    #- Recherche des tags
-    QQQ=$(sed -n -e "s/^#-T-  *${m_n}  *//p" ${F_DEF});
-    [ '\?'"${QQQ}" = '\?' ] && \
-      { echo 'Tags not found for '${m_n}; exit 3; }
-    qi=0; for i in ${QQQ}
-      do 
-        ((qi=qi+1)); 
-         if [ ${no_tag} = 'false' ]; then
-           m_t[qi]=${i}; 
-         else
-           m_t[qi]='?'
-         fi
-      done
-    #- Recherche des serveurs CVS
-    QQQ=$(sed -n -e "s/^#-I-  *${m_n}  *//p" ${F_DEF});
-    [ '\?'"${QQQ}" = '\?' ] && \
-      { echo 'Indexes not found for '${m_n}; exit 3; }
-    qi=0; for i in ${QQQ}
+       echo 'Try "'${b_n}' -h"' 1>&2; exit 3; }
+    #- Extract the repository informations
+    #- ( index, repository system, servers address )
+    while read v0 v1 v2 v3
       do
-        ((qi=qi+1));
-        QQS=$(sed -n -e "s/^#-S-  *${i}  *//p" ${F_DEF});
-        [ '\?'"${QQS}" = '\?' ] && \
-          { echo 'Server number '${i}' not found'; exit 3; }
-        m_s[qi]=${QQS};
-      done
-    #- Recherche des directories
-    QQQ=$(sed -n -e "s/^#-D-  *${m_n}  *//p" ${F_DEF});
-    [ '\?'"${QQQ}" = '\?' ] && \
+        [[ -n "${v0}" && "${v0}" = '#-S-' ]] && \
+         { r_p[${v1}]=${v2}; r_s[${v1}]=${v3}; }
+      done <${F_DEF}
+    unset v0 v1 v2 v3;
+    #- Extract the model informations
+    while read v0 v1 v2
+      do
+        [[ -n "${v1}" && "${v1}" = "${m_n}" ]] && \
+         {
+          #- model manager email address
+          [[ "${v0}" = '#-M-' ]] && { m_m=${v2}; continue; }
+          #- model components
+          [[ "${v0}" = '#-C-' ]] && \
+           {
+            qi=0;
+            for i in ${v2}; do ((qi=qi+1)); m_c[${qi}]=${i}; done;
+            continue;
+           }
+          #- model tags
+          [[ "${v0}" = '#-T-' ]] && \
+           {
+            qi=0;
+            for i in ${v2}
+             do
+              ((qi=qi+1));
+              [[ ${no_tag} = 'false' ]] && \
+               { m_t[${qi}]=${i}; }     || \
+               { m_t[${qi}]='?'; }
+             done
+            continue;
+           }
+          #- model repository information indexes
+          [[ "${v0}" = '#-I-' ]] && \
+           {
+            qi=0;
+            for i in ${v2}
+             do
+               ((qi=qi+1));
+               m_p[${qi}]=${r_p[${i}]};
+               [[ ${m_p[${qi}]} = svn || ${m_p[${qi}]} = cvs ]] || \
+                {
+                 echo 'System '"${m_p[${qi}]}"' not supported' 1>&2;
+                 exit 3;
+                }
+               m_s[${qi}]=${r_s[${i}]};
+               [[ -z "${m_s[${qi}]}" ]] && \
+                {
+                 echo 'Server '${i}'  not found for '${m_n};
+                 exit 3;
+                }
+             done
+            continue;
+           }
+          #- model installation directories
+          [[ "${v0}" = '#-D-' ]] && \
+           {
+            qi=0;
+            for i in ${v2};
+             do
+              ((qi=qi+1));
+              m_d[${qi}]=${i};
+              [[ -z "${m_l[${qi}]}" ]] && { m_l[${qi}]="modeles"; }
+             done
+            continue;
+           }
+          #- model working local directories
+          [[ "${v0}" = '#-L-' ]] && \
+           {
+            qi=0;
+            for i in ${v2};
+             do
+              ((qi=qi+1));
+              m_l[${qi}]=${i};
+             done
+            continue;
+           }
+         }
+      done <${F_DEF}
+    unset v0 v1 v2
+    #- Validate the model informations
+    #- model manager email address
+    [[ -z "${m_m}" ]] && \
+     { echo 'Manager email address not found for '${m_n}; exit 3; }
+    #- model components
+    [[ ${#m_c[@]} = 0 ]] && \
+     { echo 'Components not found for '${m_n}; exit 3; }
+    #- model tags
+    [[ ${#m_t[@]} = 0 ]] && \
+     { echo 'Tags not found for '${m_n}; exit 3; }
+    #- model repository information indexes
+    [[ ${#m_p[@]} = 0 || ${#m_s[@]} = 0 ]] && \
+     { echo 'Indexes not found for '${m_n}; exit 3; }
+    #- model installation directories
+    [[ ${#m_d[@]} = 0 ]] && \
       { echo 'Target Directories not found for '${m_n}; exit 3; }
-    qi=0; for i in ${QQQ}; do ((qi=qi+1)); m_d[qi]=${i}; m_l[qi]="modeles"; done     
-    #- Recherche des local directories
-    QQQ=$(sed -n -e "s/^#-L-  *${m_n}  *//p" ${F_DEF});
-    [ '\?'"${QQQ}" = '\?' ] || \
-    qi=0; for i in ${QQQ}; do ((qi=qi+1)); m_l[qi]=${i}; done     
+    #- model working local directories
+    # N/A
   }
-#----------------------------------------------------------------
-# envoi d'un mail si c'est la premiere fois qu on utilise modipsl
-#      ie directory ~/.modipsl do not exist
-#----------------------------------------------------------------
+#---
+#- send an email at the first use of modipsl
+#- ie directory ~/.modipsl does not exist
+#---
 D_LOG=${HOME}/.modipsl
-[ -d "${D_LOG}" ] || { mkdir "${D_LOG}" ; echo `date +"%D %T"` `whoami` `uname -m` first usage of model | ${MAIL_COM} -s "first usage of modipsl" ${MAIL_ADDRESS} >/dev/null 2>&1 ; echo `date +"%D %T"` creation >"${D_LOG}"/first ; }
-#--------------------------
-#- Traitement du "help" ---
-#--------------------------
-if [ ${m_a} = 'help' ]; then
+[[ -d "${D_LOG}" ]] || \
+  {
+    mkdir "${D_LOG}";
+    echo $(date +"%D %T") $(whoami) $(uname -m) \
+     first use of model | \
+    ${MAIL_COM} -s "first use of modipsl" \
+     ${MAIL_ADDRESS} >/dev/null 2>&1;
+    echo $(date +"%D %T") creation >"${D_LOG}"/first;
+  }
+#---
+#- "help" action
+#---
+[[ ${m_a} = 'help' ]] && \
+ {
   echo ' ';
-  if [ '\?'"${m_n}" = '\?' ]; then
+  if [ -z "${m_n}" ]; then
+    echo ${b_n} 'extracts the components of a model';
+    echo ' ';
     echo 'Usage    :';
     echo ${b_n} '[-h]';
@@ -140,5 +214,5 @@
     echo 'h model-name : help on model';
     echo 'e/u/d/r      : extract/update/diff/remove model';
-    echo 'H            : suppreses the tags and takes the HEAD version';
+    echo 'H            : suppress the tags and take the HEAD version';
     echo 'v            : verbose mode';
     echo 'Defaults     : -e';
@@ -146,104 +220,143 @@
     echo 'model_name in :';
     qi=0; while (( ${qi} < ${#m_x[@]} ));
-      do ((qi=qi+1)); echo ${m_x[qi]}; done
+      do ((qi=qi+1)); echo ${m_x[${qi}]}; done
   else
-    echo 'Modele      : '${m_n};
+    echo 'model : '${m_n};
     echo ' ';
-    sed -n -e "s/^#-H-  *${m_n}  *//p" ${F_DEF};
+    while read v0 v1 v2
+     do
+       [[ -n "${v0}" && "${v0}" = '#-H-' && \
+          -n "${v1}" && "${v1}" = "${m_n}" ]] && { echo ${v2}; }
+     done <${F_DEF}
+    unset v0 v1 v2;
+    echo ' ';
+    echo 'model manager email address : '${m_m};
     echo ' ';
     qi=0; while (( ${qi} < ${#m_c[@]} ))
       do
         ((qi=qi+1));
-        echo 'Component '${qi}' : '${m_c[qi]};
-        echo 'Tag       '${qi}' : '${m_t[qi]};
-        echo 'Server    '${qi}' : '${m_s[qi]};
-        echo 'Directory '${qi}' : '${m_d[qi]};
-        echo 'Local Dir '${qi}' : '${m_l[qi]};
+        echo 'Component '${qi}' : '${m_c[${qi}]};
+        echo 'Tag       '${qi}' : '${m_t[${qi}]};
+        echo 'System    '${qi}' : '${m_p[${qi}]};
+        echo 'Server    '${qi}' : '${m_s[${qi}]};
+        echo 'Directory '${qi}' : '${m_d[${qi}]};
+        echo 'Local Dir '${qi}' : '${m_l[${qi}]};
       done
   fi
   echo ' ';
   exit 0;
-fi
-#----------------------------------------------------------
-# enregistrement de la commande dans une log
-#----------------------------------------------------------
+ }
+#---
+#- Record information about the action in the "log" file
+#---
 F_LOG=${d_n}'/log'
 echo "${F_LOG}"
-echo `date +"%D %T"` $0 $* >>"${F_LOG}"
-#-------------
-#- VERBOSE ---
-#-------------
+echo $(date +"%D %T") $0 $* >>"${F_LOG}"
+#---
+#- Verbose mode
+#---
 [ ${m_v} = 'verbose' ] && \
  { echo '--- Model        : '${m_n};
    echo '--- Action       : '${m_a};
    echo '--- Mode         : '${m_v}; }
-#---------------------------------------------
-#- record in F_LOG file model information  ---
-#---------------------------------------------
+#---
+#- Record information about the action in the "log" file
+#---
 { echo '--- Model        : '${m_n};
   echo '--- Action       : '${m_a};
-  echo '--- Mode         : '${m_v}; 
+  echo '--- Mode         : '${m_v};
   echo '--- Mail address : '${m_m}; } >>"${F_LOG}"
-#-----------------------------------------
-#- Repertoire d'accueil des composants ---
-#-----------------------------------------
-###d_m=${d_n}'/../modeles';
-d_m=${d_n}'/../';
-#--------------------------------------------------------------------
-#- Envoi d'un mail la premiere fois  qu on appelle model de ce modele
-#-    ie file ~/.modipsl/log.${m_n}
-#--------------------------------------------------------------------
+#---
+#- Components root directory
+#---
+d_m=${d_n}'/..';
+#---
+#- send an email at the first use of this IPSL model
+#- ie file ~/.modipsl/log.${m_n} does not exist
+#---
 M_LOG=${D_LOG}/log.${m_n}
-[ -f "${M_LOG}" ] || { echo `date +"%D %T"` `whoami` `uname -m` first usage of model ${m_n} | ${MAIL_COM} -s "first usage of model ${m_n}" ${m_m} >/dev/null 2>&1 ; echo `date +"%D %T"` model ${m_n} >"${M_LOG}" ; }
-#-------------------------------
-#- Extraction des composants ---
-#-------------------------------
+[[ -f "${M_LOG}" ]] || \
+  {
+   echo $(date +"%D %T") $(whoami) $(uname -m) \
+    first usage of model ${m_n} | \
+   ${MAIL_COM} -s "first usage of model ${m_n}" \
+    ${m_m} >/dev/null 2>&1;
+   echo $(date +"%D %T") model ${m_n} >"${M_LOG}";
+  }
+#---
+#- Extract the model components
+#---
 qi=0; while (( ${qi} < ${#m_c[@]} ))
   do
-    ((qi=qi+1)); zc=${m_c[qi]}; zt=${m_t[qi]}; zs=${m_s[qi]}; zd=${m_d[qi]}; zl=${m_l[qi]};
-    [ ${m_v} = 'verbose' ] && \
+    ((qi=qi+1));
+    zc=${m_c[${qi}]}; zt=${m_t[${qi}]};
+    zp=${m_p[${qi}]}; zs=${m_s[${qi}]};
+    zd=${m_d[${qi}]}; zl=${m_l[${qi}]};
+    [[ ${m_v} = 'verbose' ]] && \
      { echo '---';
        echo '--- Component  : '${zc};
        echo '--- Tag        : '${zt};
-       echo '--- CVS Server : '${zs}; 
-       echo '--- Directory  : '${zd}; 
+       echo '--- System     : '${zp};
+       echo '--- Server     : '${zs};
+       echo '--- Directory  : '${zd};
        echo '--- Local Dir  : '${zl}; }
-#---------------------------------------------
-#- record in F_LOG file model information  ---
-#---------------------------------------------
+#---
+#-   Record information about the action in the "log" file
+#---
      { echo '---';
        echo '--- Component  : '${zc};
        echo '--- Tag        : '${zt};
-       echo '--- CVS Server : '${zs}; 
-       echo '--- Directory  : '${zd}; 
+       echo '--- System     : '${zp};
+       echo '--- Server     : '${zs};
+       echo '--- Directory  : '${zd};
        echo '--- Local Dir  : '${zl}; } >>"${F_LOG}"
-    case ${m_a} in
-      ( checkout | update | diff )
-        c_c='(cd '${d_m}/${zl}'; cvs -d :pserver:'${zs}' '${m_a};
-        [ ${m_a} = 'checkout' -a ${zt} != '?' ] && \
-         { c_c=${c_c}' -r '${zt}; }
-        [ ${m_a} = 'checkout' -a ${zd} != '.' ] && \
-         { c_c=${c_c}' -d '${zd}; }  
-        c_c=${c_c}' '${zc}')';;
-      ( remove )
-        c_c='(cd '${d_m}/${zl}'; rm -rf '${zc}')';;
-      (*)
-        echo 'Action '"${m_a}"' not supported' 1>&2;
-        exit 4;;
-    esac
-    grep "${zs%%/*}"'.*/'"${zs#*/}" ~/.cvspass > /dev/null;
-    if [ ${?} != 0 ]; then
-      c_z='cvs -d :pserver:'${zs}' login';
-      [ ${m_v} = 'verbose' ] && { echo ${c_z}; }
-      eval ${c_z};
-    fi
-    [ ${m_v} = 'verbose' ] && { echo '--- Command    : '${c_c}; }
+#---
+    [[ ${zp} = 'cvs' ]] && \
+     {
+      case ${m_a} in
+        ( checkout | update | diff )
+          c_c='(cd '${d_m}/${zl}'; '${zp}' -d :pserver:'${zs}' '${m_a};
+          [[ ${m_a} = 'checkout' && ${zt} != '?' ]] && \
+           { c_c=${c_c}' -r '${zt}; }
+          [[ ${m_a} = 'checkout' && ${zd} != '.' ]] && \
+           { c_c=${c_c}' -d '${zd}; }
+          c_c=${c_c}' '${zc}')';;
+        ( remove )
+          c_c='(cd '${d_m}/${zl}'; rm -rf '${zc}')';;
+      esac
+      grep "${zs%%/*}"'.*/'"${zs#*/}" ~/.cvspass > /dev/null;
+      [[ ${?} != 0 ]] && \
+       {
+        c_z='cvs -d :pserver:'${zs}' login';
+        [[ ${m_v} = 'verbose' ]] && { echo ${c_z}; }
+        eval ${c_z};
+       }
+     }
+#---
+    [[ ${zp} = 'svn' ]] && \
+     {
+      case ${m_a} in
+        ( checkout | update | diff )
+          c_c='(cd '${d_m}/${zl}'; '${zp}' '${m_a};
+          [[ ${m_a} = 'checkout' && ${zt} != '?' ]] && \
+           { c_c=${c_c}' -r '${zt}; }
+          c_c=${c_c}' '${zs}'/'${zc};
+          [[ ${m_a} = 'checkout' && ${zd} != '.' ]] && \
+           { c_c=${c_c}' '${zd}; }
+          c_c=${c_c}')';;
+        ( remove )
+          c_c='(cd '${d_m}/${zl}'; rm -rf '${zc##*/}')';;
+      esac
+     }
+#---
+    [[ ${m_v} = 'verbose' ]] && { echo '--- Command    : '${c_c}; }
     eval ${c_c};
   done
-#--------------------------------------------------------
-#- Traitement du repertoire WORK pour les modeles OPA ---
-#--------------------------------------------------------
+#---
+#- Actions related to the WORK directory for the OPA models
+#---
 case ${m_n} in
-  ( EEL* |  ORCA* | OFF_TRC | IPSLCM* | ORCA_TOYATM | NEMO_ORCA2_LIM | GYRE )
+  ( EEL* |  ORCA* | OFF_TRC | IPSLCM* | ORCA_TOYATM | \
+    NEMO_ORCA2_LIM | GYRE )
     d_m1=${d_m}/modeles/OPA  ;
     [ ${m_a} = 'checkout' -o ${m_a} = 'remove' ] &&
@@ -252,7 +365,7 @@
    {
      [ -d ${d_m1}/WORK ] || mkdir ${d_m1}/WORK;
-     cd ${d_m1}/WORK; 
+     cd ${d_m1}/WORK;
 # Getting the configuration files to build the Makefile
-     ln -sf ../../../*/${m_n}/scripts/BB_make AA_make ; 
+     ln -sf ../../../*/${m_n}/scripts/BB_make AA_make;
      ln -sf ../../../*/${m_n}/scripts/BB_make.ldef AA_make.ldef ;
      case ${m_n} in
@@ -266,8 +379,11 @@
          ln -sf ../SRC_ORCA/*.[Ffh] .;;
        ( ORCA*LIM | IPSLCM* | ORCA_TOYATM | ORCA*LMD* )
-         [ "${m_n}" = "IPSLCM4_LOOP" ] && echo " Creation du catalogue OPA/WORK = ORCA + LIM + TRC" || echo " Creation du catalogue OPA/WORK = ORCA + LIM"
+         [ "${m_n}" = "IPSLCM4_LOOP" ] && \
+          echo " Creation du catalogue OPA/WORK = ORCA + LIM + TRC" || \
+          echo " Creation du catalogue OPA/WORK = ORCA + LIM"
          ln -sf ../SRC_ORCA/*.[Ffh] .
          [ "${m_n}" = "IPSLCM4_LOOP" ] && \rm *.passivetrc.h
-         [ "${m_n}" = "IPSLCM4_LOOP" ] && ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .
+         [ "${m_n}" = "IPSLCM4_LOOP" ] && \
+           ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .
          ln -sf ../SRC_UCL/[a-z]* .;;
        ( ORCA*_LIM_TRC )
@@ -288,5 +404,5 @@
      esac
 # Building the standard list of source files
-     cat >.patron <<"EOF" 
+     cat >.patron <<"EOF"
 CVS
 SRC_PARAM
@@ -307,5 +423,6 @@
 thersf.f
 EOF
-     ls -1 | fgrep -v -f .patron  >SRC_FILE_LIST ; cp SRC_FILE_LIST SRC_FILE_LIST.temp ;
+     ls -1 | fgrep -v -f .patron  >SRC_FILE_LIST;
+     cp SRC_FILE_LIST SRC_FILE_LIST.temp;
 #
      KEY=$(grep P_P AA_make.ldef);
@@ -313,6 +430,6 @@
     };;
 esac
-#-------------
-#- [EN]FIN ---
-#-------------
+#---
+#- That's all folks
+#---
 exit 0;
Index: /modipsl/trunk/util/w_i_h
===================================================================
--- /modipsl/trunk/util/w_i_h	(revision 11)
+++ /modipsl/trunk/util/w_i_h	(revision 12)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# $Id: w_i_h,v 2.4 2006/01/18 05:59:17 adm Exp $
+# $Id$
 #---------------------------------------------------------------------
 #- w_i_h                                                    04/10/1999
@@ -43,10 +43,5 @@
   fi;
 elif [ "$USYS" = "IRIX64" ]; then
-  WSYS=`uname -n`;
-  if [ "$WSYS" = "rhodes" ]; then
-    DSYS="sxnec";
-  else
-    DSYS="sgi6";
-  fi;
+  DSYS="sgi6";
 elif [ "$USYS" = "Linux" ]; then
   WSYS=`uname -n | sed -e "s/^\(asterix\)\(.*\)/\1/" \
@@ -57,5 +52,7 @@
     DSYS="lxiv8";
   elif [ "$WSYS" = "mercure" ]; then
-    DSYS="sx6nec";
+    DSYS="sx8mercure";
+  elif [ "$WSYS" = "brodie" ]; then
+    DSYS="sx8brodie";
   elif [ "$WSYS" = "ds" ]; then
     DSYS="sxdkrz";
